`lqr_carver_set_energy_function_builtin`
Prev | Energy | Next

## Name

lqr_carver_bias_set_energy_function_builtin — set a builtin energy function for a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_carver_set_energy_function_builtin(` | LqrCarver* carver,
| LqrEnergyFuncBuiltinType ef_ind`)`;

## Description

The function `lqr_carver_set_energy_function_builtin` allows to pick a builtin energy function for the `LqrCarver` object pointed to by `carver`.

The possible values for `ef_ind` are:

`LQR_EF_GRAD_XABS`

  absolute value of the brightness gradient in the direction of the rescaling (this is the default)

`LQR_EF_GRAD_SUMABS`

  sum of absolute values of the brightness gradients in both directions

`LQR_EF_GRAD_NORM`

  norm of the brightness gradient

`LQR_EF_LUMA_GRAD_XABS`

  absolute value of the luma gradient in the direction of the rescaling

`LQR_EF_LUMA_GRAD_SUMABS`

  sum of absolute values of the luma gradients in both directions

`LQR_EF_LUMA_GRAD_NORM`

  norm of the luma gradient

`LQR_EF_NULL`

  null

All of the above gradient functions have a radius of 1 pixel.

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

`lqr_carver_set_energy_function`(3), `lqr_carver_get_energy`(3)

Prev | Up | Next
Energy | Home | `lqr_carver_set_energy_function`